package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.text.TextWatcher;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface BatchLabelScannerConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void setMoreOptionStr(String moreStr);
		void setMoreOptionVisible(int visibility);
		void finishPage(); 
		void readQRCode();
		void addCustomDisplayView(android.view.View customView);
		void setStartLabel(String startLabel);
		void setEndLabel(String endLabel);
		String getStartLabel();
		String getEndLabel();
		void setBtnSaveEnable(boolean enabled);
		void setBtnUploadEnable(boolean enabled);
		void addStartTextChangedListener(TextWatcher t);
		void removeStratTextChangedListener(TextWatcher t);
		void addEndTextChangedListener(TextWatcher t);
		void removeEndTextChangedListener(TextWatcher t);
		void vibrate(int duration);
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void backClick();
		void btnStartLabelScannerClick();
		void btnEndLabelScannerClick();
		void uploadClick();
		void saveClick();
	}

}
